Bug 90150 - [Study][DB-17] Hard to find how to modify watch expression
[Study][DB-17] Hard to find how to modify watch expression
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
http://ui.netbeans.org/usability/debu...
: USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 09:09 UTC by jrojcek
Modified: 2010-04-29 09:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2006-11-28 09:09:56 UTC
Finding	
Two participants used the contextual menu to modify Watch expression, but it took them quite while to 
click the "Properties" menu item. One of them said "I would expect 'Edit...' item".

Severity	
Two out of three participants who wanted to modify watches encountered this problem.

Recommendation	
Consider using "Edit..." item instead of "Properties". Take a look at the other debugger windows (Variables, 
Call Stack, Breakpoints, etc.) to keep consistency between them if it makes sense.
Comment 1 Martin Entlicher 2007-01-11 11:00:58 UTC
Yes, this is a usability problem, which I've heard several times. IMHO the best
would be to have an in-place editing of the expressions in Watches window.
Comment 2 Martin Entlicher 2007-05-17 16:38:03 UTC
This problem will be solved by fixing issue #90135 IMHO.
Also, there's "Customize" when Java debugger is running, but "Properties"
otherwise. This should be made the same, I like the "Customize" more.
When a debugger session is not running, then double-click invokes the
customizer. But not when Java debugger session is running. Again, this will help
to improve the usability.
Comment 3 Martin Entlicher 2007-05-17 17:53:22 UTC
See also issue #98077.

Properties were renamed to Customize, it's also set to be the default action, so
that it can be edit upon a double-click.

/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/WatchesActionsProvider.java,v
 <--  WatchesActionsProvider.java
new revision: 1.10; previous revision: 1.9

/shared/data/ccvs/repository/debuggercore/src/org/netbeans/modules/debugger/ui/models/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.9; previous revision: 1.8

The in-place editing will be fixed as a part of issue #37757.
Comment 4 Quality Engineering 2010-04-29 09:31:13 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo